Skip to main content
GET
/
v1
/
datasets
/
{id}
/
versions
List eval versions for a dataset
curl --request GET \
  --url https://api.trulayer.ai/v1/datasets/{id}/versions \
  --header 'Authorization: Bearer <token>'
{
  "versions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "system_prompt": "<string>",
      "model": "<string>",
      "judge_model": "<string>",
      "metadata": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Path Parameters

id
string<uuid>
required

Response

200 - application/json

List of versions

versions
object[]
required